| Qore FreetdsSqlUtil Module Reference 1.4.1

Public Member Functions | Protected Member Functions | List of all members
FreetdsSqlUtil::FreetdsSavepointHelper Class Reference

FreeTDS savepoint helper. More...

Inherits AbstractSavepointHelper.

## Public Member Functions
| constructor (AbstractDatasource ds, *string savepoint="x"+get_random_string(31))
| Creates the object. More...

## Protected Member Functions
| createSavepointImpl ()
| Creates the savepoint.
| deleteSavepointImpl ()
| Deletes the savepoint.
| rollbackImpl ()
| Rolls back to the savepoint.

## Detailed Description

FreeTDS savepoint helper.

## Member Function Documentation

## ◆ constructor()

FreetdsSqlUtil::FreetdsSavepointHelper::constructor | ( | AbstractDatasource | ds,
|  | *string | savepoint = `"x"+get_random_string(31)`
| ) |  |

Creates the object.

Note
  MS SQL Server savepoint identifiers cannot be longer than 32 character by default; the default savepoint value uses the unique hash for the object, which is 40 characters long, so we have to use another algorithm to create the savepoint string on Oracle